import { StatePositionEnum } from "src/const";

export const vpComputePositionsObjectForBeforeTrack = {
    id: "2023-10-04T11:35:00+02:00_16_10934_231002_9125",
    gtfs_trip_id: "16_10934_231002",
    gtfs_route_type: 0,
    start_timestamp: new Date("2023-10-04T09:36:00.000Z"),
    agency_name_scheduled: "DP PRAHA",
    start_cis_stop_id: null,
    positions: [
        {
            lng: 14.45805,
            lat: 50.08102,
            origin_time: "10:34:27Z",
            origin_timestamp: new Date("2023-10-04T09:34:27.000Z"),
            delay: 87,
            is_tracked: false,
            id: 2250165698,
            shape_dist_traveled: 0,
            is_canceled: null,
            state_position: StatePositionEnum.BEFORE_TRACK_DELAYED,
        },
        {
            lng: 14.45994,
            lat: 50.08081,
            origin_time: "10:35:38Z",
            origin_timestamp: new Date("2023-10-04T09:35:38.000Z"),
            delay: null,
            is_tracked: false,
            id: 2250172591,
            shape_dist_traveled: 0,
            is_canceled: null,
            state_position: StatePositionEnum.BEFORE_TRACK,
        },
        {
            lng: 14.46085,
            lat: 50.07828,
            origin_time: "10:36:11Z",
            origin_timestamp: new Date("2023-10-04T09:36:11.000Z"),
            delay: 71,
            is_tracked: true,
            id: 2250176361,
            shape_dist_traveled: 0,
            is_canceled: null,
            state_position: StatePositionEnum.AT_STOP,
        },
    ],
    gtfsData: {
        trip_id: "16_10934_231002",
        stop_times: [
            {
                arrival_time: "11:35:00",
                departure_time: "11:35:00",
                shape_dist_traveled: 0,
                stop_headsign: null,
                stop_id: "U118Z5P",
                stop_sequence: 1,
                arrival_time_seconds: 41700,
                departure_time_seconds: 41700,
                stop: {
                    stop_id: "U118Z5P",
                    stop_lat: 50.077019,
                    stop_lon: 14.461088,
                    stop_name: "Flora",
                },
            },
            {
                arrival_time: "11:37:00",
                departure_time: "11:37:00",
                shape_dist_traveled: 0.289114,
                stop_headsign: null,
                stop_id: "U518Z1P",
                stop_sequence: 2,
                arrival_time_seconds: 41820,
                departure_time_seconds: 41820,
                stop: {
                    stop_id: "U518Z1P",
                    stop_lat: 50.075615,
                    stop_lon: 14.459496,
                    stop_name: "Orionka",
                },
            },
        ],
        shapes_anchor_points: [
            {
                index: 0,
                at_stop: true,
                bearing: 168,
                coordinates: [14.46117, 50.07703],
                distance_from_last_stop: 0,
                last_stop_sequence: 1,
                next_stop_sequence: 2,
                shape_dist_traveled: 0,
                this_stop_sequence: 1,
                time_scheduled_seconds: 41700,
            },
            {
                index: 1,
                at_stop: true,
                bearing: 174,
                coordinates: [14.4613, 50.07664],
                distance_from_last_stop: 0.044,
                last_stop_sequence: 1,
                next_stop_sequence: 2,
                shape_dist_traveled: 0.044,
                this_stop_sequence: 1,
                time_scheduled_seconds: 41700,
            },
            {
                index: 2,
                at_stop: false,
                bearing: 260,
                coordinates: [14.46145, 50.07577],
                distance_from_last_stop: 0.145,
                last_stop_sequence: 1,
                next_stop_sequence: 2,
                shape_dist_traveled: 0.145,
                this_stop_sequence: null,
                time_scheduled_seconds: 41760,
            },
        ],
    },
};
